﻿@model eCommerce.Services.Model.Customer
@using eCommerce.Services.Model.Enums

@{
    ViewBag.Title = "Mis Datos";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<section id="my-account">
    <div class="register-content">
        <div class="user-info">
            <h2>Mis Datos</h2>
            @using (Html.BeginForm("MyAccount", "Account", FormMethod.Post, new { @autocomplete = "off", @class = "account-edit" }))
            {
                @Html.AntiForgeryToken()
                <input type="hidden" name="CustomerId" value="@Model.CustomerId" />

                <div class="field-row">
                    <div class="__register-input">
                        <label>Nombre y Apellido*</label>
                        <input class="__form-input" name="FullName" value="@Model.FullName">
                    </div>
                    <div class="__register-input">
                        <label>Email*</label>
                        <input class="__form-input" readonly name="Email" value="@Model.Email">
                    </div>
                </div>
                <div class="field-row">
                    <div class="__register-input">
                        <label>Provincia</label>
                        <select class="__form-input" name="ProvinceId" id="ProvinceId">
                            @if (TempData["Provinces"] != null)
                            {
                                foreach (var item in (SelectList)TempData["Provinces"])
                                {
                                    <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                }
                            }
                        </select>
                    </div>
                    <div class="__register-input">
                        <label>Ciudad</label>
                        <input class="__form-input" name="City" value="@Model.City">
                    </div>
                </div>
                <div class="field-row">
                    <div class="__register-input">
                        <label>Razón Social</label>
                        <input class="__form-input" name="CorporateName" value="@Model.CorporateName">
                    </div>
                    <div class="__register-input">
                        <label>CUIT</label>
                        <input class="__form-input js-cuit" name="CUIT" value="@Model.CUIT">
                    </div>
                </div><!-- /.field-row -->
                <div class="field-row">
                    <div class="__register-input">
                        <label>Código Postal</label>
                        <input class="__form-input" name="ZipCode" value="@Model.ZipCode">
                    </div>
                    <div class="__register-input">
                        <label>Teléfono/Celular</label>
                        <input class="__form-input" name="Cellphone" value="@Model.Cellphone">
                    </div>
                </div>
                    
                <div class="place-order-button">
                    <button class="button">Grabar</button>
                </div>
            }
        </div><!-- /.col -->
    </div><!-- /.container -->
</section>


@section Scripts {

<script type="text/javascript">

    @*$(document).ready(function () {

        $("#CityId").CascadingDropDown("#Province", '/Account/AsyncCities/',
        {
            promptText: 'Elija una Ciudad',
            postData: function () {
                return { ProvinceId: $('#Province').val() };
            },
            onLoading: function () {
                //$(this).css("background-color", "#ffffff");
            },
            onLoaded: function ()
            {
                $(this).val('@Model.CityId.ToString()').change();
            }
        });

        $('#Province').change();
    });*@

    $(document).ready(function () {
        $('.js-cuit').mask('00-00000000-0');

        initializeForm();
    });

    function initializeForm() {
        var pathArray = window.location.pathname.split('/');
        var storeRoot = "/" + pathArray[1];

        var $form = $('.account-edit');
        $form.attr('action', "/Account/MyAccount");
    }


</script>

}



